 # Impute missing values

 # load the libraries
library(mlbench)
library(Hmisc)
# load the dataset
data(PimaIndiansDiabetes)
datos <- PimaIndiansDiabetes

# mark a pressure of 0 as N/A, it is impossible
invalid <- 0
id.NA <- datos$pressure==invalid

datos$pressure[id.NA] <- NA

datos$pressure <- as.numeric(datos$pressure)
# impute missing pressure values using the mean
datos.corregidos <- datos
datos.corregidos$pressure <- impute(datos$pressure,mean)

datos.corregidos <- datos
datos.corregidos$pressure <- impute(datos$pressure,"random")


